# webhookEvent

A webhook payload

**Scope required:** workflow:read

For a complete list of possible response fields see the [WebhookEvent](/developer/api-reference/types/webhookevent.md) type.

```graphql
query webhookEvent ($id: ID) {
  webhookEvent (id: $id) {
    createdAt
    headers
    id
    payload
    payloadType
    responseBody
    responseCode
    updatedAt
    url
  }
}
```

## Arguments

| Name | Type | Description |
| ---- | ---- | ----------- |
| id   | ID   |             |

## Response

* [WebhookEvent](/developer/api-reference/types/webhookevent.md)


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.bunny.com/developer/using-the-graphql-api/sending-a-graphql-request/webhookevent.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
